\definecolor{xdxdff}{rgb}{0.49019607843137253,0.49019607843137253,1.}
\definecolor{qqqqff}{rgb}{0.,0.,1.}
\definecolor{cqcqcq}{rgb}{0.7529411764705882,0.7529411764705882,0.7529411764705882}
\begin{tikzpicture}[scale=0.75][line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\draw [color=cqcqcq,, xstep=1.0cm,ystep=1.0cm] (-6.761127226963359,-2.0022979135512675) grid (3.7,6.439987962795862);
\draw[->,color=black] (-6.761127226963359,0.) -- (3.7,0.);
\foreach \x in {-6.,-5.,-4.,-3.,-2.,-1.,1.,2.,3}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
\draw[->,color=black] (0.,-2.0022979135512675) -- (0.,6.439987962795862);
\foreach \y in {-2.,-1.,1.,2.,3.,4.,5.,6.}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
\draw[color=black] (0pt,-10pt) node[right] {\footnotesize $0$};
\clip(-6.761127226963359,-2.0022979135512675) rectangle (3.7,6.439987962795862);
\draw[line width=1.2pt,color=qqqqff, smooth, samples=1000, domain=-6:3] plot (\x,{0.094*(\x)*(\x)*(\x)+0.429*(\x)*(\x)-1.187*(\x)-0.336}) ;
\begin{scriptsize}
\draw[color=qqqqff] (-6.390029408162761,2.302567243979798) node {$C_f$};
\draw [fill=xdxdff] (-5.993646692749985,2) circle (2.5pt);
\draw[color=xdxdff] (-5.884006616433787,1.2) node {$A$};
\draw [fill=xdxdff] (2.9811766971329594,2.5981592402428295) circle (2.5pt);
\draw[color=xdxdff] (3.090816773449154,2.8845169165420614) node {$B$};
\end{scriptsize}
\end{tikzpicture}